<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
          "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="EN">

<head>
  <title>Page 3</title>
  <link rel="stylesheet" type="text/css" href="{{./}}styles.css" />
</head>

<body>
  <include src="{{./}}header.html" />

  <h3>Optional framework files</h3>

  <p>These optional files are used (included) by the framework, if they
  exist. If not, nothing happens (no errors). So, you can use them only
  if you need them.</p>

  <dl>
    <dt><strong>init.php</strong></dt>
    <dd>This file is included by the framework only the first time that
    the application is openned (at the beginning of the session).It may
    be used to initialize anything.</dd>

    <dt><strong>global.php</strong></dt>
    <dd>This file is included every time, if it exists. It may contain
    functions, constants and variables that are used throughout the
    whole application.  </dd>

    <dt><strong>before_page.php</strong></dt>
    <dd>This file is included before each page is parsed.</dd>

    <dt><strong>after_page.php</strong></dt>
    <dd>This file is included after each page is constructed.</dd>
  </dl>

  <include src="{{./}}footer.html" />
</body>
</html>
